### Method

# Adw LeafletPage set_name

#### Declaration [src]

    void
    adw_leaflet_page_set_name (
      AdwLeafletPage* self,
      const char* name
    )

#### Description [src]

Sets the name of the `self`.

Available since: | 1.0

Sets property | `Adw.LeafletPage:name`

#### Parameters

`name` | `const char*`
| The new value to set.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.